Bug 499773 - Review Request: perl-DBIx-Class-EncodedColumn - Automatically encode columns
Review Request: perl-DBIx-Class-EncodedColumn - Automatically encode columns
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DBIx-Clas...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 00:52 EDT by Iain Arnell
Modified: 2009-05-27 15:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.00002-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 15:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-08 00:52:50 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-DBIx-Class-EncodedColumn.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-DBIx-Class-EncodedColumn-0.00002-1.fc12.src.rpm

Description:
This DBIx::Class component can be used to automatically encode a column's
contents whenever the value of that column is set.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1342596

*rt-0.09
Comment 1 Iain Arnell 2009-05-08 00:55:14 EDT
Note that I've explicitly disabled this package's support for Crypt::OpenPGP.  

Crypt::OpenPGP requires Crypt::Twofish (Artistic license only - upstream hasn't responded to my request to relicense yet) and Crypt::RIPEMD160 (probably unacceptable in Fedora - original C source code has a bad indemnification clause; see RHBZ #452453).
Comment 2 Parag AN(पराग) 2009-05-08 04:25:35 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1342596
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7a3406a936c7e224db0d85bda1e42de80e27dbfb  DBIx-Class-EncodedColumn-0.00002.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=27,  1 wallclock secs ( 0.05 usr  0.01 sys +  0.51 cusr  0.03 csys =  0.60 CPU)
+ Package perl-DBIx-Class-EncodedColumn-0.00002-1.fc12.noarch =>
Provides: perl(DBIx::Class::EncodedColumn) = 0.00002 perl(DBIx::Class::EncodedColumn::Crypt::Eksblowfish::Bcrypt) = 0.00001 perl(DBIx::Class::EncodedColumn::Digest) = 0.00001
Requires: perl(Crypt::Eksblowfish::Bcrypt) perl(Digest) perl(Sub::Name) perl(base) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 3 Iain Arnell 2009-05-08 09:23:19 EDT
New Package CVS Request
=======================
Package Name: perl-DBIx-Class-EncodedColumn
Short Description: Automatically encode columns
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-05-09 17:10:22 EDT
cvs done.
Comment 5 Iain Arnell 2009-05-10 02:56:19 EDT
built in rawdhide - waiting for perl-Crypt-Eksblowfish on branches.
Comment 6 Fedora Update System 2009-05-19 23:45:07 EDT
perl-DBIx-Class-EncodedColumn-0.00002-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-DBIx-Class-EncodedColumn-0.00002-1.fc11
Comment 7 Fedora Update System 2009-05-19 23:45:13 EDT
perl-DBIx-Class-EncodedColumn-0.00002-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-DBIx-Class-EncodedColumn-0.00002-1.fc10
Comment 8 Fedora Update System 2009-05-20 19:58:57 EDT
perl-DBIx-Class-EncodedColumn-0.00002-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-DBIx-Class-EncodedColumn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5258
Comment 9 Fedora Update System 2009-05-20 20:00:37 EDT
perl-DBIx-Class-EncodedColumn-0.00002-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-DBIx-Class-EncodedColumn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5267
Comment 10 Fedora Update System 2009-05-27 15:06:23 EDT
perl-DBIx-Class-EncodedColumn-0.00002-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-27 15:07:53 EDT
perl-DBIx-Class-EncodedColumn-0.00002-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.